%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  BiCausality
%global packver   0.1.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.4
Release:          1%{?dist}%{?buildtag}
Summary:          Binary Causality Inference Framework

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch

%description
A framework to infer causality on binary data using techniques in frequent
pattern mining and estimation statistics. Given a set of individual
vectors S={x} where x(i) is a realization value of binary variable i, the
framework infers empirical causal relations of binary variables i,j from S
in a form of causal graph G=(V,E) where V is a set of nodes representing
binary variables and there is an edge from i to j in E if the variable i
causes j. The framework determines dependency among variables as well as
analyzing confounding factors before deciding whether i causes j.  The
publication of this package is at Chainarong Amornbunchornvej, Navaporn
Surasvadi, Anon Plangprasopchok, and Suttipong Thajchayapong (2023)
<doi:10.1016/j.heliyon.2023.e15947>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
